import type { RaceWithSOFDto } from '../dtos/RaceWithSOFDto';

export interface RaceWithSOFViewModel {
  id: string;
  track: string;
  strengthOfField: number | null;
}

export class RaceWithSOFPresenter {
  present(dto: RaceWithSOFDto): RaceWithSOFViewModel {
    return {
      id: dto.id,
      track: dto.track,
      strengthOfField: dto.strengthOfField,
    };
  }
}